GuideLab API

Update an implant system

Update an existing implant system's properties, including the full inline platforms array.

PUT
/implant-systems/{id}

Update an existing implant system's properties, including the full inline platforms array.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/implant-systems/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{  "system": {    "id": "string",    "labId": "string",    "name": "string",    "manufacturer": "string",    "description": "string",    "isDefault": true,    "isActive": true,    "sortOrder": 0,    "platforms": [      {        "code": "string",        "label": "string",        "diameter": "string",        "isActive": true      }    ],    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty
Empty